Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021777
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2012-09-27 17:022012-11-06 13:31
ReporterVictorVillarView Statuspublic 
Assigned ToioritzCia 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision37da9a5ba373
ProjectionnoneETAnoneTarget Version3.0MP17
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021777: role without permission for a new organization in some circumstances

Descriptionrole without permission for a new organization in some circumstances
Steps To ReproduceAs group admin role,
Go to Role window,
  select international group admin role,
    Manual= N
Go to Initial Organization setup window
   Create a new Org, called TEST, without role and without accounting.
Complete it and create it.

Go to Role window again,
 select international group admin role,
 Go to Org Access tab
   Try to create the access to this new Organization TEST, but do NOT do it.
Only realise that TEST appears in the organization combo.

Log out and log in.

Go to organization window,
  Select TEST olrganization and try to launch the Set as Ready process. An error appears: With your current role you do not have permission.

If you go to Role window again and try to give access to International Group Admin role about TEST organization, you cannot do it, because it will not appear in the organization combo.

the problem is that the process InitialOrgSetup.java (line 75) add to the session variable #USER_ORG (list of organizations that the currently role has access) the org_id of the new organization created.
This list is the information used for the combo, (line 431 of UIDefinition.java)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00261093.0PR14Q3 closedguillermogil Error in log: SelectorDataSourceFilter - Error evaluating filter expression: 

-  Notes
(0053967)
hgbot (developer)
2012-11-02 08:48

Repository: erp/devel/pi
Changeset: 37da9a5ba373e89041f459149bdcf924992083ec
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Fri Nov 02 08:34:35 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/37da9a5ba373e89041f459149bdcf924992083ec [^]

Fixes issue 21777: role without permission for a new organization in some circumstances.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/OBCLKER_UIDEFINITION.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
---
(0053978)
hgbot (developer)
2012-11-02 12:24

Repository: erp/devel/pi
Changeset: 9238a973578de6e0a13f3590b545c41673b36878
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Fri Nov 02 12:04:04 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9238a973578de6e0a13f3590b545c41673b36878 [^]

Related to issue 21777: ad_model_object and ad_model_object_mapping not needed.

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0054030)
hudsonbot (developer)
2012-11-06 10:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/905762a34c04 [^]

Maturity status: Test
(0054034)
hudsonbot (developer)
2012-11-06 10:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/905762a34c04 [^]

Maturity status: Test
(0054043)
VictorVillar (developer)
2012-11-06 13:31

Verified

- Issue History
Date Modified Username Field Change
2012-09-27 17:02 VictorVillar New Issue
2012-09-27 17:02 VictorVillar Assigned To => dmiguelez
2012-09-27 17:02 VictorVillar Modules => Core
2012-09-27 17:02 VictorVillar Issue Monitored: networkb
2012-09-27 17:15 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-10-01 16:22 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-10-24 10:54 ioritzCia Status new => scheduled
2012-10-24 10:54 ioritzCia fix_in_branch => pi
2012-11-02 08:48 hgbot Checkin
2012-11-02 08:48 hgbot Note Added: 0053967
2012-11-02 08:48 hgbot Status scheduled => resolved
2012-11-02 08:48 hgbot Resolution open => fixed
2012-11-02 08:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/37da9a5ba373e89041f459149bdcf924992083ec [^]
2012-11-02 12:24 hgbot Checkin
2012-11-02 12:24 hgbot Note Added: 0053978
2012-11-06 10:47 hudsonbot Checkin
2012-11-06 10:47 hudsonbot Note Added: 0054030
2012-11-06 10:47 hudsonbot Checkin
2012-11-06 10:47 hudsonbot Note Added: 0054034
2012-11-06 13:31 VictorVillar Review Assigned To => VictorVillar
2012-11-06 13:31 VictorVillar Note Added: 0054043
2012-11-06 13:31 VictorVillar Status resolved => closed
2014-05-14 09:09 guillermogil Relationship added related to 0026495
2014-05-14 09:10 guillermogil Relationship deleted related to 0026495
2014-05-14 09:10 guillermogil Relationship added related to 0026109


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker